Description: sock_get_string_buf prototype
 Prototype added.
Forwarded: not-needed
Author: Camm Maguire <camm@debian.org>

--- fricas-1.3.10.orig/src/lisp/fricas-lisp.lisp
+++ fricas-1.3.10/src/lisp/fricas-lisp.lisp
@@ -676,10 +676,11 @@ with this hack and will try to convince
 ;; actual string buffer. We use 'sock_get_string_buf_wrapper' to
 ;; resolve the problem
 (SI::clines "int sock_get_string_buf_wrapper(int i, object x, int j)"
-    "{ if (type_of(x)!=t_string) FEwrong_type_argument(sLstring,x);"
-    "  if (x->st.st_fillp<j)"
-    "    FEerror(\"string too small in sock_get_string_buf_wrapper\",0);"
-    "  return sock_get_string_buf(i, x->st.st_self, j); }")
+	    "{ extern int sock_get_string_buf(int,void *,int); "
+	    " if (type_of(x)!=t_string) FEwrong_type_argument(sLstring,x);"
+	    " if (x->st.st_fillp<j)"
+	    "    FEerror(\"string too small in sock_get_string_buf_wrapper\",0);"
+	    " return sock_get_string_buf(i, x->st.st_self, j); }")
 
 (SI::defentry sock_get_string_buf (SI::int SI::object SI::int)
     (SI::int "sock_get_string_buf_wrapper"))
